Name:           gdex
Version:	3.12
Release:	1%{?dist}
Summary:        Extracting good dictionary examples

Group:          Development/Libraries
License:        GPLv3
URL:            http://www.sketchengine.eu
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%if 0%{?fedora} >= 30
BuildRequires: /usr/bin/pathfix.py
BuildRequires: python2-devel
%else
BuildRequires: python-devel
%endif

Requires:       PyYAML

%description
GDEX (Good Dictionary Examples) is a Bonito module for sorting
concordances according to their suitability as dictionary examples.

%prep
%setup

%build
sed -i "s/<version>/%{version}/g" setup.py
%if 0%{?fedora} >= 30
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build
%else
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if 0%{?fedora} >= 30
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%else
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%endif
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mv add_gdex.py $RPM_BUILD_ROOT/%{_bindir}/add_gdex

%if 0%{?fedora} >= 30
pathfix.py -pni "%{__python2}" $RPM_BUILD_ROOT/%{python2_sitelib}/* $RPM_BUILD_ROOT/%{_bindir}/add_gdex
%endif
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%if 0%{?fedora} >= 30
%{python2_sitelib}/*
%else
%{python_sitelib}/*
%endif
%{_bindir}/add_gdex


